## org.hibernate.ejb.criteria.expression
Enum UnaryArithmeticOperation.Operation

    java.lang.Object
      java.lang.Enum<UnaryArithmeticOperation.Operation>
          org.hibernate.ejb.criteria.expression.UnaryArithmeticOperation.Operation

All Implemented Interfaces:
  Serializable, Comparable<UnaryArithmeticOperation.Operation>

Enclosing class:
  UnaryArithmeticOperation<T>

    public static enum UnaryArithmeticOperation.Operation

extends Enum<UnaryArithmeticOperation.Operation>

Enum Constant Summary
`UNARY_MINUS`
`UNARY_PLUS`

Method Summary
`static UnaryArithmeticOperation.Operation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UnaryArithmeticOperation.Operation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNARY_PLUS

    public static final UnaryArithmeticOperation.Operation UNARY_PLUS

### UNARY_MINUS

    public static final UnaryArithmeticOperation.Operation UNARY_MINUS

Method Detail

### values

    public static UnaryArithmeticOperation.Operation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UnaryArithmeticOperation.Operation c : UnaryArithmeticOperation.Operation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UnaryArithmeticOperation.Operation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.